Last Comment Bug 764782 - Update closeAllTabs to use about:newtab instead of about:blank
: Update closeAllTabs to use about:newtab instead of about:blank
Status: RESOLVED FIXED
[lib]
:
Product: Mozilla QA
Classification: Other
Component: Mozmill Tests (show other bugs)
: unspecified
: All All
: P3 normal (vote)
: ---
Assigned To: Daniela Petrovici
:
:
Mentors:
Depends on: 799433 764807 767945
Blocks: 790191
  Show dependency treegraph
 
Reported: 2012-06-14 05:31 PDT by Remus Pop (:RemusPop)
Modified: 2013-06-19 22:58 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed
unaffected
fixed


Attachments
patch v1 (all branches) (823 bytes, patch)
2012-06-20 04:39 PDT, Remus Pop (:RemusPop)
hskupin: review-
Details | Diff | Splinter Review
patch v2 (all branches) (1.55 KB, patch)
2012-06-22 07:24 PDT, Remus Pop (:RemusPop)
hskupin: review-
Details | Diff | Splinter Review
patch v3 (all branches) (858 bytes, patch)
2012-06-26 01:37 PDT, Remus Pop (:RemusPop)
hskupin: review+
Details | Diff | Splinter Review
patch v3_1 (929 bytes, patch)
2013-06-11 00:25 PDT, Daniela Petrovici
matei.andreea89: review+
Details | Diff | Splinter Review
patch v1.0 for release and esr17 (941 bytes, patch)
2013-06-11 06:32 PDT, Daniela Petrovici
matei.andreea89: review+
Details | Diff | Splinter Review
reports for esr17 and release branches (4.38 KB, text/plain)
2013-06-11 06:33 PDT, Daniela Petrovici
no flags Details

Description Remus Pop (:RemusPop) 2012-06-14 05:31:01 PDT
When opening a new tab, about:newtab is opened, so we should have about:newtab when closeAllTabs is used.
Comment 2 Henrik Skupin (:whimboo) 2012-06-20 05:03:29 PDT
Comment on attachment 634845 [details] [diff] [review]
patch v1 (all branches)

>-    this._controller.open("about:blank");
>+    this._controller.open("about:newtab");

While thinking more about it, we should not hard-code this page but read the URI from the browser.newtab.url preference.
Comment 3 Remus Pop (:RemusPop) 2012-06-22 07:24:11 PDT
Created attachment 635735 [details] [diff] [review]
patch v2 (all branches)

Added the reading of the pref.
Comment 4 Henrik Skupin (:whimboo) 2012-06-22 07:39:01 PDT
Comment on attachment 635735 [details] [diff] [review]
patch v2 (all branches)

>-    this._controller.open("about:blank");
>+    var newTabUrl = prefs.preferences.getPref(PREF_NEW_TAB_URL, '');

Can we please fallback to 'about:blank' if the pref is not set? Similar to the behavior of the browser:
http://mxr.mozilla.org/mozilla-central/source/browser/base/content/utilityOverlay.js#11

It would be even great if we could simply use that constant as Mochitests can do:
http://mxr.mozilla.org/mozilla-central/source/browser/components/tabview/test/browser_tabview_bug626455.js#83
Comment 5 Remus Pop (:RemusPop) 2012-06-26 01:37:56 PDT
Created attachment 636625 [details] [diff] [review]
patch v3 (all branches)

Didn't think the fix would be so easy. If the pref is not set, the constant will fallback to about:blank.
Comment 6 Henrik Skupin (:whimboo) 2012-06-26 03:36:11 PDT
Comment on attachment 636625 [details] [diff] [review]
patch v3 (all branches)

That's what I wanted to see. It's great that you have discovered that!
Comment 7 Henrik Skupin (:whimboo) 2012-06-26 03:39:03 PDT
Remus, please care about the commit message. You forgot to set it this time.

Pushed:
http://hg.mozilla.org/qa/mozmill-tests/rev/da91de35420f

If everything is green today we can backport to all the older branches.
Comment 8 Henrik Skupin (:whimboo) 2012-06-27 05:39:01 PDT
Looks good so pushed to other branches:

http://hg.mozilla.org/qa/mozmill-tests/rev/a4d520050159 (aurora)
http://hg.mozilla.org/qa/mozmill-tests/rev/27c1ece41295 (beta)
http://hg.mozilla.org/qa/mozmill-tests/rev/ccdb9dfe1263 (release)
Comment 9 Henrik Skupin (:whimboo) 2012-10-16 03:13:57 PDT
To bypass the failures we currently having due to bug 799433 I will go ahead and backout this change for aurora and default. That way we are not affected by the waitForgPageLoad failures as covered on bug 790191.

http://hg.mozilla.org/qa/mozmill-tests/rev/7c0df6d68bbe (default)
http://hg.mozilla.org/qa/mozmill-tests/rev/906c279a57a6 (aurora)
Comment 10 Henrik Skupin (:whimboo) 2013-06-07 09:29:48 PDT
Daniela, can you please test this across platforms? It looks like the underlying issue has been fixed somewhere and we can now do that change. It doesn't fail anymore on Linux.
Comment 11 Daniela Petrovici 2013-06-11 00:25:28 PDT
Created attachment 760778 [details] [diff] [review]
patch v3_1

The previous patch does not apply cleanly anymore. The change works now and this patch applies cleanly on default, Aurora and Beta. Tested across platforms and locales:
Linux:
Nightly en-US: 
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9161dd
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe91e9cb
Nightly fr:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe96bed4
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe97c49d
Nightly de:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9237b3
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe934269
Nightly it:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9a364c
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe98defe
Aurora en-US:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9d8e0d
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9beb3c
Aurora fr:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea2f652
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea316cb
Aurora de:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea1f51c
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea1f89d
Aurora it:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea1faa0
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea22619
Beta en-US:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea4a6cd
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea4e7b5
Beta fr:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea5230c
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea56128
Beta de:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea3da02
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea458c3
Beta it:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea58e5f
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea602b9

MAC:
Nightly en-US:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe91665d
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe91f896
Nightly fr:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe96f8d7
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe97ce75
Nightly de:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe93339e
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe94911d
Nightly it:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe98cf67
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9a266d
Aurora en-US:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9e1a32
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9c86ee
Aurora fr:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea1185b
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea1259d
Aurora de:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9f8883
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea09e8b
Aurora it:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea1b28b
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea171be
Beta en-US:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea22651
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea23f65
Beta fr:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea2e916
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea30d90
Beta de:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea280be
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea2b41d
Beta it:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea33073
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea342d3

Windows:
Nightly en-US:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9783a6
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe96799f
Nightly fr:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9afa69
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9c3582
Nightly de:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe990b63
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9a2b99
Nightly it:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9e2df3
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbe9f9716
Aurora en-US:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea22bef
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea205c4
Aurora fr:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea1c380
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea1f061
Aurora de:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea1ab2f
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea16d55
Aurora it:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea29df1
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea25afb
Beta en-US:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea783b7
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea7915d
Beta fr:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea38dd3
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea360af
Beta de:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea32411
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea2fe48
Beta it:
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea4bfa0
http://mozmill-crowd.blargon7.com/#/functional/report/8aa237803fd4b0e7348adc8bbea51aed
Comment 12 Daniela Petrovici 2013-06-11 06:32:29 PDT
Created attachment 760874 [details] [diff] [review]
patch v1.0 for release and esr17

This is the patch for release branch that applies cleanly on ESR17. I will add the reports in a txt file in a moment.
Comment 13 Daniela Petrovici 2013-06-11 06:33:22 PDT
Created attachment 760875 [details]
reports for esr17 and release branches
Comment 14 Andreea Matei [:AndreeaMatei] 2013-06-12 04:53:27 PDT
Pushed on default, I'll wait for tomorrow before backporting:
http://hg.mozilla.org/qa/mozmill-tests/rev/8eeee19afcb9 (default)
Comment 15 Andreea Matei [:AndreeaMatei] 2013-06-17 05:54:27 PDT
Comment on attachment 760874 [details] [diff] [review]
patch v1.0 for release and esr17

Review of attachment 760874 [details] [diff] [review]:
-----------------------------------------------------------------

Backported:
http://hg.mozilla.org/qa/mozmill-tests/rev/0da47a0c318e (aurora)
http://hg.mozilla.org/qa/mozmill-tests/rev/b503c4314b25 (beta)
http://hg.mozilla.org/qa/mozmill-tests/rev/f6c78ab49611 (release)
http://hg.mozilla.org/qa/mozmill-tests/rev/f40f3de666a5 (esr17)

Thanks Daniela!
Comment 16 Henrik Skupin (:whimboo) 2013-06-19 15:51:25 PDT
This change here caused a lot of new failures in our tests when you run them via Mozmill 2.0. Especially the ones under tabbed browsing. Can someone please get this investigated? We would need a new bug for that, or is there already one open?
Comment 17 Daniela Petrovici 2013-06-19 22:58:19 PDT
(In reply to Henrik Skupin (:whimboo) from comment #16)
> This change here caused a lot of new failures in our tests when you run them
> via Mozmill 2.0. Especially the ones under tabbed browsing. Can someone
> please get this investigated? We would need a new bug for that, or is there
> already one open?
Logged bug 885221 for this issue

Note You need to log in before you can comment on or make changes to this bug.